Bug 94592 - [NEW PORT] print/foo2zjs: Driver for printers that use the ZjStream wire protocol
Summary: [NEW PORT] print/foo2zjs: Driver for printers that use the ZjStream wire prot...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-03-17 09:00 UTC by Jose Alonso Cardenas Marquez
Modified: 2006-05-07 12:39 UTC (History)
0 users

See Also:


Attachments
foo2zjs-20060228.shar (9.15 KB, text/plain)
2006-03-17 09:00 UTC, Jose Alonso Cardenas Marquez
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jose Alonso Cardenas Marquez 2006-03-17 09:00:29 UTC
foo2zjs is an open source printer driver for printers that use the Zenographics ZjStream wire protocol 
for their print data, such as the Minolta/QMS magicolor 2300 DL or Konica Minolta magicolor 2430 DL. 
These printers are often erroneously referred to as winprinters or GDI printers. 

However, Microsoft GDI only mandates the API between an application and the printer driver, not the 
protocol on the wire between the printer driver and the printer. In fact, ZjStream printers are raster 
printers which happen to use a very efficient wire protocol which was developed by Zenographics and 
licensed by most major printer manufacturers for at least some of their product lines. 

ZjStream is just one of many wire protocols that are in use today, such as Postscript, PCL, Epson, etc.

WWW:	http://foo2zjs.rkkda.com/
Comment 1 Pav Lucistnik freebsd_committer 2006-05-06 10:34:02 UTC
State Changed
From-To: open->feedback

Does not fetch: 

=> Attempting to fetch from http://foo2zjs.rkkda.com/. 
fetch: http://foo2zjs.rkkda.com/foo2zjs.tar.gz: size mismatch: expected 2051541, actual 2127249 

Looks like this is often changed unversioned distfile - would it make sense 
to mirror a date-stamped copy on our mirrors? 


Comment 2 Pav Lucistnik freebsd_committer 2006-05-06 10:34:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Track
Comment 3 Pav Lucistnik freebsd_committer 2006-05-06 19:23:07 UTC
State Changed
From-To: feedback->open

New shar received
Comment 4 Pav Lucistnik freebsd_committer 2006-05-06 19:23:18 UTC
State Changed
From-To: open->feedback

Looks like this port removes some files installed by foomatic-db port. 
Can you please fix this? 

=== Checking filesystem state 
list of files present before this port was installed but missing after it was deinstalled) 
./usr/local/share/foomatic/db/source/driver/foo2oak.xml missing 
./usr/local/share/foomatic/db/source/driver/foo2zjs.xml missing 
./usr/local/share/foomatic/db/source/opt/foo2oak-BitsPerPlane.xml missing 
./usr/local/share/foomatic/db/source/opt/foo2oak-ColorMode.xml missing 
./usr/local/share/foomatic/db/source/opt/foo2oak-ICM.xml missing 
./usr/local/share/foomatic/db/source/opt/foo2oak-InputSlot.xml missing 
./usr/local/share/foomatic/db/source/opt/foo2oak-MediaType.xml missing 
./usr/local/share/foomatic/db/source/opt/foo2zjs-ColorMode.xml missing 
./usr/local/share/foomatic/db/source/opt/foo2zjs-Copies.xml missing 
./usr/local/share/foomatic/db/source/opt/foo2zjs-Duplex.xml missing 
./usr/local/share/foomatic/db/source/opt/foo2zjs-ICM.xml missing 
./usr/local/share/foomatic/db/source/opt/foo2zjs-InputSlot.xml missing 
./usr/local/share/foomatic/db/source/opt/foo2zjs-Intent.xml missing 
./usr/local/share/foomatic/db/source/opt/foo2zjs-MediaType.xml missing 
./usr/local/share/foomatic/db/source/opt/foo2zjs-Nup.xml missing 
./usr/local/share/foomatic/db/source/opt/foo2zjs-PageSize.xml missing 
./usr/local/share/foomatic/db/source/opt/foo2zjs-PrinterType.xml missing 
./usr/local/share/foomatic/db/source/opt/foo2zjs-Resolution.xml missing 
./usr/local/share/foomatic/db/source/printer/Generic-OAKT_Printer.xml missing 
./usr/local/share/foomatic/db/source/printer/Generic-ZjStream_Printer.xml missing 
./usr/local/share/foomatic/db/source/printer/HP-Color_LaserJet_1500.xml missing 
./usr/local/share/foomatic/db/source/printer/HP-LaserJet_1000.xml missing 
./usr/local/share/foomatic/db/source/printer/HP-LaserJet_1005.xml missing 
./usr/local/share/foomatic/db/source/printer/Minolta-Color_PageWorks_Pro_L.xml missing 
./usr/local/share/foomatic/db/source/printer/Minolta-magicolor_2200_DL.xml missing 
./usr/local/share/foomatic/db/source/printer/Minolta-magicolor_2300_DL.xml missing 
./usr/local/share/foomatic/db/source/printer/Minolta-magicolor_2430_DL.xml missing
Comment 5 Pav Lucistnik freebsd_committer 2006-05-07 12:39:01 UTC
State Changed
From-To: feedback->closed

New port added.